Game that returns a buffer overflow error

PeanutButter

New Member
Joined
Dec 3, 2021
Messages
5
Reaction score
0
Credits
39
Hi to all. I downloaded a game, "Linux Lunar Lander". There are other games with the same name but this is the one: http://users.telenet.be/thomas.raes/LSS/lss.html . Now it returns a buffer overflow error when launched and I found that that can sometimes be dangerous. The game relies on the following dependencies:

SFont: http://www.linux-games.com/sfont/

libsdl-dev

libsdl-Image-dev

If someone could confirm that it's infected or not that would be very appreciated.
Thank You.
 


Lord Boltar

Well-Known Member
Joined
Nov 24, 2020
Messages
1,172
Reaction score
787
Credits
8,673
this game was written for Debian 3.0 which came out at the end of 2002 - probably not going to work anymore since codes have changed - the game also requires SDL Developmental Libraries
Also from SDL Github site it says - "The 1.2 branch of SDL is deprecated. While we occasionally collect fixes in revision control, there has not been a formal release since 2012, and we have no intention to do future releases, either."

So it looks like it is dead
 

JasKinasis

Well-Known Member
Joined
Apr 25, 2017
Messages
1,378
Reaction score
1,949
Credits
9,117
I don’t think it’s infected with anything.
Did you need to build the game from source? Or does the .tar.gz contain a pre built binary?

If you built from source, it may just be that it needs to be debugged and updated to work with a newer version of SDL and/or in line with changes to the programming language that was used to create it. Which I’m assuming will probably be C, or C++.

If it only contains a binary, then it could be that the old code does something that the new versions of the library don’t allow. In which case, there’s nothing much you can do to fix this without the original source code.

When I get to my PC, I might take a look at this and see what’s going on!
 

JasKinasis

Well-Known Member
Joined
Apr 25, 2017
Messages
1,378
Reaction score
1,949
Credits
9,117
OK, well - I've just built and ran the game on Debian 10 and it seems to be absolutely fine.
No crash, no buffer overflow. I can't seem to replicate the problem you were having.
However, the game appears to be a one shot kinda thing.
If you crash the lander once - it's game over and the program just exits. No menu, nothing asking if you'd like to try again. Just BLAM! It's gone! Ha ha!

[edit]
A quick poke around in the source code - and I don't see any immediate problems there either.
The build only threw one minor warning too. So I don't think there's anything wrong with this.
[/edit]
 
Last edited:

JasKinasis

Well-Known Member
Joined
Apr 25, 2017
Messages
1,378
Reaction score
1,949
Credits
9,117
this game was written for Debian 3.0 which came out at the end of 2002 - probably not going to work anymore since codes have changed - the game also requires SDL Developmental Libraries
Also from SDL Github site it says - "The 1.2 branch of SDL is deprecated. While we occasionally collect fixes in revision control, there has not been a formal release since 2012, and we have no intention to do future releases, either."

So it looks like it is dead
SDL-1.2 is still available for older, legacy programs/games that rely on it.
It's just not actively maintained any more.
[edit] Though, I am still on Debian 10. I'm aware that a number of old packages were dropped in Debian 11, so perhaps it might not be available any more. IDK!
I really aught to bite the bullet and update to Debian 11 at some point. I just can't be arsed ATM!
[/edit]
 
OP
P

PeanutButter

New Member
Joined
Dec 3, 2021
Messages
5
Reaction score
0
Credits
39
Thank you JasKinasis. I must be doing something wrong because I got that error both in a real Ubuntu OS and also on the Windows Subsystem for Linux in Windows 11. But I will give up on trying to run it anyways. It's just nice to know that it isn't dangerous or something. Thanks again!
 

JasKinasis

Well-Known Member
Joined
Apr 25, 2017
Messages
1,378
Reaction score
1,949
Credits
9,117
I finally got around to upgrading my Debian 10 install to 11. I’ve done a clean and rebuild and it’s still working properly for me. No additional errors/warnings.

But, Ubuntu might be using some newer libraries/utilities that are still in Debian Testing, or Debian unstable. I might switch my laptop to track the Debian Testing repos at some point. If I do, I will try building this game again, to see whether newer dependencies are causing the problems you’re seeing!
 
OP
P

PeanutButter

New Member
Joined
Dec 3, 2021
Messages
5
Reaction score
0
Credits
39
I finally got around to upgrading my Debian 10 install to 11. I’ve done a clean and rebuild and it’s still working properly for me. No additional errors/warnings.

But, Ubuntu might be using some newer libraries/utilities that are still in Debian Testing, or Debian unstable. I might switch my laptop to track the Debian Testing repos at some point. If I do, I will try building this game again, to see whether newer dependencies are causing the problems you’re seeing!
That would be nice JasKinasis. Thank you for your help!
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!


Top